﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>alipay.acquire.create接口</title>
    <style>
*{
	margin:0;
	padding:0;
}
ul,ol{
	list-style:none;
}
.title{
    color: #ADADAD;
    font-size: 14px;
    font-weight: bold;
    padding: 8px 16px 5px 10px;
}
.hidden{
	display:none;
}

.new-btn-login-sp{
	border:1px solid #D74C00;
	padding:1px;
	display:inline-block;
}

.new-btn-login{
    background-color: #ff8c00;
	color: #FFFFFF;
    font-weight: bold;
	border: medium none;
	width:82px;
	height:28px;
}
.new-btn-login:hover{
    background-color: #ffa300;
	width: 82px;
	color: #FFFFFF;
    font-weight: bold;
    height: 28px;
}
.bank-list{
	overflow:hidden;
	margin-top:5px;
}
.bank-list li{
	float:left;
	width:153px;
	margin-bottom:5px;
}

#main{
	width:750px;
	margin:0 auto;
	font-size:14px;
	font-family:'宋体';
}
#logo{
	background-color: transparent;
    background-image: url("images/new-btn-fixed.png");
    border: medium none;
	background-position:0 0;
	width:166px;
	height:35px;
    float:left;
}
.red-star{
	color:#f00;
	width:10px;
	display:inline-block;
}
.null-star{
	color:#fff;
}
.content{
	margin-top:5px;
}

.content dt{
	width:160px;
	display:inline-block;
	text-align:right;
	float:left;
	
}
.content dd{
	margin-left:100px;
	margin-bottom:5px;
}
#foot{
	margin-top:10px;
}
.foot-ul li {
	text-align:center;
}
.note-help {
    color: #999999;
    font-size: 12px;
    line-height: 130%;
    padding-left: 3px;
}

.cashier-nav {
    font-size: 14px;
    margin: 15px 0 10px;
    text-align: left;
    height:30px;
    border-bottom:solid 2px #CFD2D7;
}
.cashier-nav ol li {
    float: left;
}
.cashier-nav li.current {
    color: #AB4400;
    font-weight: bold;
}
.cashier-nav li.last {
    clear:right;
}
.alipay_link {
    text-align:right;
}
.alipay_link a:link{
    text-decoration:none;
    color:#8D8D8D;
}
.alipay_link a:visited{
    text-decoration:none;
    color:#8D8D8D;
}
</style>
</head>
<body>
    <form id="Form1" runat="server">
        <div id="main">
            <div id="head">
                <dl class="alipay_link">
                    <a target="_blank" href="http://www.alipay.com/"><span>支付宝首页</span></a>| <a target="_blank"
                        href="https://b.alipay.com/home.htm"><span>商家服务</span></a>| <a target="_blank" href="http://help.alipay.com/support/index_sh.htm">
                            <span>帮助中心</span></a>
                </dl>
                <span class="title">alipay.commerce.qrcode.create接口快速通道</span>
            </div>
            <div class="cashier-nav">
                <ol>
                    <li class="current">1、确认信息 →</li>
                    <li>2、点击确认 →</li>
                    <li class="last">3、确认完成</li>
                </ol>
            </div>
            <div id="body" style="clear: left">
                <dl class="content">
    
					<dt>alipay_ca_request：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDalipay_ca_request" name="WIDalipay_ca_request"  value="2" runat="server"></asp:TextBox>
                        <span>Signature type</span>
                    </dd>
					<dt>buyer_id：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDbuyer_id" name="WIDbuyer_id"  value="2088722998907175" runat="server"></asp:TextBox>
                        <span>Buyer’s Alipay ID</span>
                    </dd>
                    <dt>quantity：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDquantity" name="WIDquantity"  value="1" runat="server"></asp:TextBox>
                        <span>Quantity of commodity</span>
                    </dd>
                    <dt>price：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDprice" name="WIDprice" value="0.01"  runat="server"></asp:TextBox>
                        <span>Unit price of the goods</span>
                    </dd>
                    <dt>out_trade_no：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDout_trade_no" name="WIDout_trade_no"   runat="server"></asp:TextBox>
                        <span>The unique order number on the merchant’s website</span>
                    </dd>
                    <dt>currency：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDcurrency" name="WIDcurrency"  value="USD" runat="server"></asp:TextBox>
                        <span>The currency used for labelling the price of the transaction. this is also the settlement currency Alipay settled to the partner.</span>
                    </dd>
                    <dt>product_code：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDproduct_code" name="WIDproduct_code" value="OVERSEAS_MBARCODE_PAY"  runat="server"></asp:TextBox>
                        <span>Order business type</span>
                    </dd>
                    <dt>total_fee：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDtotal_fee" name="WIDtotal_fee" value="0.01"  runat="server"></asp:TextBox>
                        <span>The order amount</span>
                    </dd>
                    <dt>seller_id：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDseller_id" name="WIDseller_id" value="2088021966388155"  runat="server"></asp:TextBox>
                        <span>Seller’s Alipay user ID</span>
                    </dd>
                    <dt>subject：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDsubject" name="WIDsubject" value="This is a test."  runat="server"></asp:TextBox>
                        <span>The title of the order</span>
                    </dd>
                    <dt>trans_currency：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDtrans_currency" name="WIDtrans_currency" value="USD"  runat="server"></asp:TextBox>
                        <span>Currency of the price</span>
                    </dd>
                    <dt>extend_params：</dt>
                    <dd>
                        <span class="null-star">*</span>
                        <asp:TextBox ID="WIDextend_params" name="WIDextend_params" value="{&quot;secondary_merchant_name&quot;:&quot;Lotte&quot;,&quot;secondary_merchant_id&quot;:&quot;123&quot;,&quot;secondary_merchant_industry&quot;:&quot;5812&quot;,&quot;store_id&quot;:&quot;A101&quot;,&quot;store_name&quot;:&quot;McDonald in 966 3rd Ave, New York&quot;,&quot;terminal_id&quot;:&quot;212133131&quot; }"  runat="server"></asp:TextBox>
                        <span>Business extension parameters</span>
                    </dd>


                    <dt></dt>
                    <dd>
                        <span class="new-btn-login-sp">
                            <asp:Button ID="BtnAlipay" name="BtnAlipay" class="new-btn-login" Text="确 认" Style="text-align: center;"
                                runat="server" OnClick="BtnAlipay_Click"/></span></dd></dl>
            </div>
            <div id="foot">
                <ul class="foot-ul">
                    <li><font class="note-help">如果您点击“确认”按钮，即表示您同意该次的执行操作。 </font></li>
                    <li>支付宝版权所有 2011-2015 ALIPAY.COM </li>
                </ul>
                <ul>
            </div>
        </div>
    </form>
</body>
</html>