﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml;
using Com.Alipay;

/// <summary>
/// 功能：alipay.acquire.create接口接入页
/// 版本：3.3
/// 日期：2012-07-05
/// 说明：
/// 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
/// 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
/// 
/// /////////////////注意///////////////////////////////////////////////////////////////
/// 如果您在接口集成过程中遇到问题，可以按照下面的途径来解决
/// 1、商户服务中心（https://b.alipay.com/support/helperApply.htm?action=consultationApply），提交申请集成协助，我们会有专业的技术工程师主动联系您协助解决
/// 2、商户帮助中心（http://help.alipay.com/support/232511-16307/0-16307.htm?sh=Y&info_type=9）
/// 3、支付宝论坛（http://club.alipay.com/read-htm-tid-8681712.html）
/// 
/// 如果不想使用扩展功能请把扩展功能参数赋空值。
/// </summary>
public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void BtnAlipay_Click(object sender, EventArgs e)
    {
        ////////////////////////////////////////////请求参数////////////////////////////////////////////

		//alipay_ca_request


       
		
		
		 string alipay_ca_request = WIDalipay_ca_request.Text.Trim();
		 
		//Signature type
		//buyer_id	      
        string buyer_id = WIDbuyer_id.Text.Trim();
		//Buyer’s Alipay ID
	//quantity
	     string quantity = WIDquantity.Text.Trim();
	//Quantity of commodity
		//price
	string price = WIDprice.Text.Trim();
		//Unit price of the goods
		//out_trade_no
	string out_trade_no = WIDout_trade_no.Text.Trim();
		//The unique order number on the merchant’s website
	
	//currency	
	string currency = WIDcurrency.Text.Trim();
	//The currency used for labelling the price of the transaction. this is also the settlement currency Alipay settled to the partner.
	
	//product_code
	string trans_amount = WIDproduct_code.Text.Trim();
	//	Order business type
	
	//total_fee
	string total_fee = WIDtotal_fee.Text.Trim();
   //The order amount
	
        
        //seller_id
        string seller_id = WIDseller_id.Text.Trim();
        //Seller’s Alipay user ID



        //subject
        string subject = WIDsubject.Text.Trim();
      //The title of the order

        //trans_currency
        string trans_currency = WIDtrans_currency.Text.Trim();
        //	Currency of the price
	
	//extend_params
        string extend_params = WIDextend_params.Text.Trim();
        //Business extension parameters
        //
        //product_code
        string product_code = WIDproduct_code.Text.Trim();
        //product_code
	

		
		
		
		
		


        ////////////////////////////////////////////////////////////////////////////////////////////////

        //把请求参数打包成数组
        SortedDictionary<string, string> sParaTemp = new SortedDictionary<string, string>();
        sParaTemp.Add("partner", Config.Partner);
		sParaTemp.Add("notify_url", Config.Notify_url);
        sParaTemp.Add("alipay_ca_request", alipay_ca_request);
        sParaTemp.Add("quantity", quantity);
        sParaTemp.Add("service", "alipay.acquire.create");
		sParaTemp.Add("buyer_id", buyer_id);
		sParaTemp.Add("out_trade_no", out_trade_no);
				
        sParaTemp.Add("currency", currency);
        sParaTemp.Add("price", price);
        sParaTemp.Add("product_code", product_code);
        sParaTemp.Add("seller_id", seller_id);
        sParaTemp.Add("subject", subject);
        sParaTemp.Add("total_fee", total_fee);
        sParaTemp.Add("trans_currency", trans_currency);
		sParaTemp.Add("extend_params", extend_params);
        sParaTemp.Add("_input_charset", Config.Input_charset.ToLower());


        //建立请求
        string sHtmlText = Submit.BuildRequest(sParaTemp);

        //请在这里加上商户的业务逻辑程序代码

        //——请根据您的业务逻辑来编写程序（以下代码仅作参考）——

    
            Response.Write(sHtmlText);
      

        //——请根据您的业务逻辑来编写程序（以上代码仅作参考）——
        
    }
}
